%global pkgname CPANPLUS-Dist-Fedora

Name:           perl-CPANPLUS-Dist-Fedora
Version:        0.0.4
Release:        3%{?dist}
Summary:        CPANPLUS backend to build Fedora/RedHat RPMs
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/CPANPLUS-Dist-Fedora/
Source0:        http://www.cpan.org/authors/id/S/SH/SHLOMIF/%{pkgname}-v%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl >= 5.008
BuildRequires:  perl(CPANPLUS)
BuildRequires:  perl(CPANPLUS::Dist::Base)
BuildRequires:  perl(CPANPLUS::Error)
BuildRequires:  perl(IPC::Cmd)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Pod::POM)
BuildRequires:  perl(Pod::POM::View::Text)
BuildRequires:  perl(Template)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
#Tests only.
BuildRequires:  perl(Test::TrailingSpace)

Requires:       perl(CPANPLUS)
Requires:       perl(CPANPLUS::Dist::Base)
Requires:       perl(CPANPLUS::Error)
Requires:       perl(IPC::Cmd)
Requires:       perl(Pod::POM)
Requires:       perl(Pod::POM::View::Text)
Requires:       perl(Template)
Requires:       perl(Test::Pod)
Requires:       perl(Test::Pod::Coverage)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This is a distribution class to create Fedora packages from CPAN modules, 
and all its dependencies. This allows you to have the most recent copies of 
CPAN modules installed, using your package manager of choice, but without 
having to wait for central repositories to be updated.

%prep
%setup -qn %{pkgname}-v%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes LICENSE META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.0.4-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 26 2013 Christopher Meng <rpm@cicku.me> - 0.0.4-1
- Initial Package.
